Bug 521531 - BUG: unable to handle kernel NULL pointer dereference at 00000000000000ae; ima_counts_put+0x34/c5
Summary: BUG: unable to handle kernel NULL pointer dereference at 00000000000000ae; im...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-06 19:45 UTC by Tom London
Modified: 2009-09-15 09:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-15 09:50:46 UTC


Attachments (Terms of Use)
Output of "dmesg" (61.83 KB, text/plain)
2009-09-06 19:45 UTC, Tom London
no flags Details

Description Tom London 2009-09-06 19:45:38 UTC
Created attachment 359927 [details]
Output of "dmesg"

Description of problem:
I received a Bug/Oops right after an "INFO: possible circular locking dependency detected", as I was plugging in a USB hard drive and inserting a blank CD.

I include here the text of the INFO and the Bug.

Complete "dmesg" attached.

Sep  6 12:28:26 tlondon kernel:
Sep  6 12:28:26 tlondon kernel: =======================================================
Sep  6 12:28:26 tlondon kernel: [ INFO: possible circular locking dependency detected ]
Sep  6 12:28:26 tlondon kernel: 2.6.31-0.204.rc9.fc12.x86_64 #1
Sep  6 12:28:26 tlondon kernel: -------------------------------------------------------
Sep  6 12:28:26 tlondon kernel: kacpi_hotplug/21 is trying to acquire lock:
Sep  6 12:28:26 tlondon kernel: (kacpid){+.+.+.}, at: [<ffffffff8107c1c5>] flush_workqueue+0x0/0xd2
Sep  6 12:28:26 tlondon kernel:
Sep  6 12:28:26 tlondon kernel: but task is already holding lock:
Sep  6 12:28:26 tlondon kernel: (&dpc->work){+.+.+.}, at: [<ffffffff8107b333>] worker_thread+0x1cd/0x33e
Sep  6 12:28:26 tlondon kernel:
Sep  6 12:28:26 tlondon kernel: which lock already depends on the new lock.
Sep  6 12:28:26 tlondon kernel:
Sep  6 12:28:26 tlondon kernel:
Sep  6 12:28:26 tlondon kernel: the existing dependency chain (in reverse order) is:
Sep  6 12:28:26 tlondon kernel:
Sep  6 12:28:26 tlondon kernel: -> #1 (&dpc->work){+.+.+.}:
Sep  6 12:28:26 tlondon kernel:       [<ffffffff8109772c>] __lock_acquire+0xa79/0xc0e
Sep  6 12:28:26 tlondon kernel:       [<ffffffff810979af>] lock_acquire+0xee/0x12e
Sep  6 12:28:26 tlondon kernel:       [<ffffffff8107b382>] worker_thread+0x21c/0x33e
Sep  6 12:28:26 tlondon kernel:       [<ffffffff81080f90>] kthread+0xac/0xb4
Sep  6 12:28:26 tlondon kernel:       [<ffffffff8101312a>] child_rip+0xa/0x20
Sep  6 12:28:26 tlondon kernel:       [<ffffffffffffffff>] 0xffffffffffffffff
Sep  6 12:28:26 tlondon kernel:
Sep  6 12:28:26 tlondon kernel: -> #0 (kacpid){+.+.+.}:
Sep  6 12:28:26 tlondon kernel:       [<ffffffff81097609>] __lock_acquire+0x956/0xc0e
Sep  6 12:28:26 tlondon kernel:       [<ffffffff810979af>] lock_acquire+0xee/0x12e
Sep  6 12:28:26 tlondon kernel:       [<ffffffff8107c235>] flush_workqueue+0x70/0xd2
Sep  6 12:28:26 tlondon kernel:       [<ffffffff812ce42a>] acpi_os_wait_events_complete+0x28/0x4a
Sep  6 12:28:26 tlondon kernel:       [<ffffffff812ce48c>] acpi_os_execute_hp_deferred+0x40/0x6a
Sep  6 12:28:26 tlondon kernel:       [<ffffffff8107b388>] worker_thread+0x222/0x33e
Sep  6 12:28:26 tlondon kernel:       [<ffffffff81080f90>] kthread+0xac/0xb4
Sep  6 12:28:26 tlondon kernel:       [<ffffffff8101312a>] child_rip+0xa/0x20
Sep  6 12:28:26 tlondon kernel:       [<ffffffffffffffff>] 0xffffffffffffffff
Sep  6 12:28:26 tlondon kernel:
Sep  6 12:28:26 tlondon kernel: other info that might help us debug this:
Sep  6 12:28:26 tlondon kernel:
Sep  6 12:28:26 tlondon kernel: 2 locks held by kacpi_hotplug/21:
Sep  6 12:28:26 tlondon kernel: #0:  (kacpi_hotplug){+.+...}, at: [<ffffffff8107b333>] worker_thread+0x1cd/0x33e
Sep  6 12:28:26 tlondon kernel: #1:  (&dpc->work){+.+.+.}, at: [<ffffffff8107b333>] worker_thread+0x1cd/0x33e
Sep  6 12:28:26 tlondon kernel:
Sep  6 12:28:26 tlondon kernel: stack backtrace:
Sep  6 12:28:26 tlondon kernel: Pid: 21, comm: kacpi_hotplug Not tainted 2.6.31-0.204.rc9.fc12.x86_64 #1
Sep  6 12:28:26 tlondon kernel: Call Trace:
Sep  6 12:28:26 tlondon kernel: [<ffffffff810968ec>] print_circular_bug_tail+0x80/0x9f
Sep  6 12:28:26 tlondon kernel: [<ffffffff81096817>] ? check_noncircular+0x93/0xe8
Sep  6 12:28:26 tlondon kernel: [<ffffffff81097609>] __lock_acquire+0x956/0xc0e
Sep  6 12:28:26 tlondon kernel: [<ffffffff810979af>] lock_acquire+0xee/0x12e
Sep  6 12:28:26 tlondon kernel: [<ffffffff8107c1c5>] ? flush_workqueue+0x0/0xd2
Sep  6 12:28:26 tlondon kernel: [<ffffffff8107c1c5>] ? flush_workqueue+0x0/0xd2
Sep  6 12:28:26 tlondon kernel: [<ffffffff812ce44c>] ? acpi_os_execute_hp_deferred+0x0/0x6a
Sep  6 12:28:26 tlondon kernel: [<ffffffff8107c235>] flush_workqueue+0x70/0xd2
Sep  6 12:28:26 tlondon kernel: [<ffffffff8107c1c5>] ? flush_workqueue+0x0/0xd2
Sep  6 12:28:26 tlondon kernel: [<ffffffff812ce42a>] acpi_os_wait_events_complete+0x28/0x4a
Sep  6 12:28:26 tlondon kernel: [<ffffffff812ce48c>] acpi_os_execute_hp_deferred+0x40/0x6a
Sep  6 12:28:26 tlondon kernel: [<ffffffff8107b388>] worker_thread+0x222/0x33e
Sep  6 12:28:26 tlondon kernel: [<ffffffff8107b333>] ? worker_thread+0x1cd/0x33e
Sep  6 12:28:26 tlondon kernel: [<ffffffff81503707>] ? thread_return+0x4e/0xd3
Sep  6 12:28:26 tlondon kernel: [<ffffffff810813e3>] ? autoremove_wake_function+0x0/0x5f
Sep  6 12:28:26 tlondon kernel: [<ffffffff8107b166>] ? worker_thread+0x0/0x33e
Sep  6 12:28:26 tlondon kernel: [<ffffffff81080f90>] kthread+0xac/0xb4
Sep  6 12:28:26 tlondon kernel: [<ffffffff8101312a>] child_rip+0xa/0x20
Sep  6 12:28:26 tlondon kernel: [<ffffffff81012a90>] ? restore_args+0x0/0x30
Sep  6 12:28:26 tlondon kernel: [<ffffffff81080ee4>] ? kthread+0x0/0xb4
Sep  6 12:28:26 tlondon kernel: [<ffffffff81013120>] ? child_rip+0x0/0x20
Sep  6 12:28:26 tlondon kernel: ata2: exception Emask 0x10 SAct 0x0 SErr 0x4010000 action 0xe frozen
Sep  6 12:28:26 tlondon kernel: ata2: irq_stat 0x00400040, connection status changed
Sep  6 12:28:26 tlondon kernel: ata2: SError: { PHYRdyChg DevExch }
Sep  6 12:28:26 tlondon kernel: ata2: hard resetting link
Sep  6 12:28:27 tlondon kernel: ata2: SATA link down (SStatus 0 SControl 300)
Sep  6 12:28:32 tlondon kernel: ata2: hard resetting link
Sep  6 12:28:32 tlondon kernel: ata2: SATA link down (SStatus 0 SControl 300)
Sep  6 12:28:32 tlondon kernel: ata2: limiting SATA link speed to 1.5 Gbps
Sep  6 12:28:37 tlondon kernel: ata2: hard resetting link
Sep  6 12:28:37 tlondon kernel: ata2: SATA link up 1.5 Gbps (SStatus 113 SControl 310)
Sep  6 12:28:37 tlondon kernel: ata2.00: configured for UDMA/133
Sep  6 12:28:37 tlondon kernel: ata2: exception Emask 0x10 SAct 0x0 SErr 0x0 action 0x9 t4
Sep  6 12:28:37 tlondon kernel: ata2: irq_stat 0x40000001
Sep  6 12:28:37 tlondon kernel: ata2.00: disabled
Sep  6 12:28:37 tlondon kernel: ata2: hard resetting link
Sep  6 12:28:38 tlondon kernel: ata2: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
Sep  6 12:28:38 tlondon kernel: ata2.00: ATAPI: HL-DT-ST DVDRAM GSA-U20N, HX12, max UDMA/133
Sep  6 12:28:38 tlondon kernel: ata2.00: configured for UDMA/133
Sep  6 12:28:38 tlondon kernel: ata2: EH complete
Sep  6 12:28:38 tlondon kernel: ACPI: \_SB_.PCI0.SATA.PRT1 - undocking
Sep  6 12:28:38 tlondon kernel: ata2.00: detaching (SCSI 1:0:0:0)
Sep  6 12:28:38 tlondon kernel: ACPI: \_SB_.PCI0.SATA.PRT1 - docking
Sep  6 12:28:38 tlondon kernel: ACPI: Unable to dock!
Sep  6 12:28:38 tlondon kernel: ata2: exception Emask 0x10 SAct 0x0 SErr 0x4010000 action 0xe frozen
Sep  6 12:28:38 tlondon kernel: ata2: irq_stat 0x00400040, connection status changed
Sep  6 12:28:38 tlondon kernel: ata2: SError: { PHYRdyChg DevExch }
Sep  6 12:28:38 tlondon kernel: ata2: hard resetting link
Sep  6 12:28:39 tlondon kernel: ata2: SATA link down (SStatus 0 SControl 300)
Sep  6 12:28:44 tlondon kernel: ata2: hard resetting link
Sep  6 12:28:44 tlondon kernel: ata2: SATA link down (SStatus 0 SControl 300)
Sep  6 12:28:44 tlondon kernel: ata2: limiting SATA link speed to 1.5 Gbps
Sep  6 12:28:49 tlondon kernel: ata2: hard resetting link
Sep  6 12:28:49 tlondon kernel: ata2: SATA link down (SStatus 0 SControl 310)
Sep  6 12:28:49 tlondon kernel: ata2.00: disabled
Sep  6 12:28:49 tlondon kernel: ata2: EH complete
Sep  6 12:28:49 tlondon kernel: BUG: unable to handle kernel NULL pointer dereference at 00000000000000ae
Sep  6 12:28:49 tlondon kernel: IP: [<ffffffff81248056>] ima_counts_put+0x34/0xc5
Sep  6 12:28:49 tlondon kernel: PGD 123134067 PUD 123135067 PMD 0 
Sep  6 12:28:49 tlondon kernel: Oops: 0000 [#1] SMP 
Sep  6 12:28:49 tlondon kernel: last sysfs file: /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1:1.0/host5/target5:0:0/5:0:0:0/block/sdc/sdc1/uevent
Sep  6 12:28:49 tlondon kernel: CPU 0 
Sep  6 12:28:49 tlondon kernel: Modules linked in: vfat fat fuse sunrpc ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 cpufreq_ondemand acpi_cpufreq freq_table dm_multipath kvm_intel kvm uinput usblp snd_hda_codec_conexant arc4 snd_hda_intel snd_hda_codec ecb snd_hwdep snd_pcm snd_timer iwlagn iwlcore snd mac80211 soundcore thinkpad_acpi cfg80211 hwmon iTCO_wdt rfkill wmi snd_page_alloc i2c_i801 iTCO_vendor_support usb_storage e1000e i915 drm i2c_algo_bit i2c_core video output [last unloaded: microcode]
Sep  6 12:28:49 tlondon kernel: Pid: 1832, comm: devkit-disks-da Not tainted 2.6.31-0.204.rc9.fc12.x86_64 #1 74585FU
Sep  6 12:28:49 tlondon kernel: RIP: 0010:[<ffffffff81248056>]  [<ffffffff81248056>] ima_counts_put+0x34/0xc5
Sep  6 12:28:49 tlondon kernel: RSP: 0018:ffff88012313fd78  EFLAGS: 00010202
Sep  6 12:28:49 tlondon kernel: RAX: ffff880130d96000 RBX: 0000000000000004 RCX: 0000000048a9bfb8
Sep  6 12:28:49 tlondon kernel: RDX: 0000000000000000 RSI: 0000000000000004 RDI: 0000000000000000
Sep  6 12:28:49 tlondon kernel: RBP: ffff88012313fda8 R08: ffff88012313fce8 R09: ffff88012313fd18
Sep  6 12:28:49 tlondon kernel: R10: 0000000048a9bfb8 R11: 0000000000000000 R12: 0000000000000024
Sep  6 12:28:49 tlondon kernel: R13: 0000000000000000 R14: ffff88012313fe28 R15: fffffffffffffffa
Sep  6 12:28:49 tlondon kernel: FS:  00007f5be7fdc7a0(0000) GS:ffff88002ee00000(0000) knlGS:0000000000000000
Sep  6 12:28:49 tlondon kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
Sep  6 12:28:49 tlondon kernel: CR2: 00000000000000ae CR3: 0000000123133000 CR4: 00000000000026f0
Sep  6 12:28:49 tlondon kernel: DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Sep  6 12:28:49 tlondon kernel: DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Sep  6 12:28:49 tlondon kernel: Process devkit-disks-da (pid: 1832, threadinfo ffff88012313e000, task ffff880123114940)
Sep  6 12:28:49 tlondon kernel: Stack:
Sep  6 12:28:49 tlondon kernel: ffff88012313fda8 0000000048a9bfb8 0000000000000024 0000000000008881
Sep  6 12:28:49 tlondon kernel: <0> 0000000000000024 0000000000000000 ffff88012313fef8 ffffffff8114f3bc
Sep  6 12:28:49 tlondon kernel: <0> 0000000000000000 ffff8801ffffff9c ffff880123114940 ffff8801318d6018
Sep  6 12:28:49 tlondon kernel: Call Trace:
Sep  6 12:28:49 tlondon kernel: [<ffffffff8114f3bc>] do_filp_open+0x534/0x9f3
Sep  6 12:28:49 tlondon kernel: [<ffffffff8115b230>] ? alloc_fd+0x4a/0x14b
Sep  6 12:28:49 tlondon kernel: [<ffffffff81113510>] ? might_fault+0x71/0xd9
Sep  6 12:28:49 tlondon kernel: [<ffffffff8115b30b>] ? alloc_fd+0x125/0x14b
Sep  6 12:28:49 tlondon kernel: [<ffffffff8109507f>] ? trace_hardirqs_off_caller+0x32/0xd0
Sep  6 12:28:49 tlondon kernel: [<ffffffff8114029d>] do_sys_open+0x71/0x131
Sep  6 12:28:49 tlondon kernel: [<ffffffff811403ca>] sys_open+0x33/0x49
Sep  6 12:28:49 tlondon kernel: [<ffffffff81011f42>] system_call_fastpath+0x16/0x1b
Sep  6 12:28:49 tlondon kernel: Code: 48 83 ec 18 0f 1f 44 00 00 65 48 8b 04 25 28 00 00 00 48 89 45 d8 31 c0 83 3d 6a 34 28 01 00 48 8b 47 08 89 f3 48 8b 78 50 74 72 <0f> b7 87 ae 00 00 00 25 00 f0 00 00 3d 00 80 00 00 75 5f e8 ee 
Sep  6 12:28:49 tlondon kernel: RIP  [<ffffffff81248056>] ima_counts_put+0x34/0xc5
Sep  6 12:28:49 tlondon kernel: RSP <ffff88012313fd78>
Sep  6 12:28:49 tlondon kernel: CR2: 00000000000000ae
Sep  6 12:28:49 tlondon kernel: ---[ end trace 41ffb62b7caf95f2 ]---


Version-Release number of selected component (if applicable):
kernel-2.6.31-0.204.rc9.fc12.x86_64

How reproducible:
Don't know......

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Chuck Ebbert 2009-09-07 03:55:53 UTC
A patch is queued upstream to fix this:

http://marc.info/?l=linux-kernel&m=125228987415251&w=3

Comment 2 Chuck Ebbert 2009-09-08 23:37:29 UTC
Fix went in 2.6.31-rc9-git1


Note You need to log in before you can comment on or make changes to this bug.